ONVIF::Device::Elements::SetZeroConfiguration(3)

NAME
ONVIF::Device::Elements::SetZeroConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined element SetZeroConfiguration from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   InterfaceToken

     $element->set_InterfaceToken($data);
     $element->get_InterfaceToken();

•   Enabled

     $element->set_Enabled($data);
     $element->get_Enabled();

METHODS

  new
 my $element = ONVIF::Device::Elements::SetZeroConfiguration->new($data);

Constructor. The following data structure may be passed to new():

 {
   InterfaceToken => $some_value, # ReferenceToken
   Enabled =>  $some_value, # boolean
 },

AUTHOR
Generated by SOAP::WSDL